Bug 54684 - Nautilus fills all RAM in some cases
Summary: Nautilus fills all RAM in some cases
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-vfs   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-16 09:52 UTC by Alan Cox
Modified: 2007-04-18 16:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-22 20:47:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Cox 2001-10-16 09:52:49 UTC
Nautilus on a Cyrix MediaGX.

Originally I thought Nautilus was just using too much memory but when I
compared to another box this was obviously not the problem. In fact I was
seeing nautilus expand to fill ram then die

Removing a symlink to itself in my home dir (the dir I was opening a window
view of) fixed the problem

I had

xxx symlinked to xxx

Alan

Comment 1 Havoc Pennington 2001-10-16 14:43:33 UTC
You put that xxx->xxx link there just to break things didn't you. ;-) 

No doubt a pretty easy bug to fix, just slap a limit on symlink-chasing.

Comment 2 Havoc Pennington 2001-10-17 03:55:31 UTC
Upstream as http://bugzilla.gnome.org/show_bug.cgi?id=62494, 
for reference.

Comment 3 Havoc Pennington 2001-10-19 16:29:52 UTC
Putting an foo->foo link in a random directory did not cause this problem. 
It must be triggered if the link is in your home dir, or maybe if a dir gets
lots of change notifications, or the like...

Comment 4 Anders Carlsson 2001-10-19 16:33:30 UTC
I also don't get it when putting a link in a random directory. Making it on the
desktop triggers it though.

Comment 5 Havoc Pennington 2001-10-22 20:47:40 UTC
I think I found the problem in gnome-vfs, fix in the works.

Comment 6 Havoc Pennington 2001-10-23 18:56:13 UTC
gnome-vfs 1.0.1-18 resolves the problem for me.



Note You need to log in before you can comment on or make changes to this bug.